> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Fetch OIDC Configuration for an OIDC identity provider

`POST /api/web/v1/identityproviders/oidc/configuration`

Fetch OIDC Configuration for an OIDC identity provider. Caller requires the IDENTITYPROVIDERS:VIEW permission.

## Request Body

Required.

### application/json

Schema

```json
{
  "required": [
    "issuerUrl"
  ],
  "type": "object",
  "properties": {
    "issuerUrl": {
      "type": "string",
      "description": "The issuer URL of the OIDC/OAuth identity provider.",
      "example": "https://entrust.us.trustedauth.com/api/oidc"
    }
  },
  "description": "OidcConfigurationParms",
  "title": "OidcConfigurationParms"
}
```

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "authorizationEndpoint": {
      "type": "string",
      "description": "The authorization endpoint of the external OIDC identity provider.",
      "example": "https://account.mycompany.com/oauth/authorize"
    },
    "claimsSupported": {
      "type": "array",
      "description": "A list of claims supported by the external OIDC identity provider.",
      "items": {
        "type": "string",
        "description": "A list of claims supported by the external OIDC identity provider."
      }
    },
    "jwksUri": {
      "type": "string",
      "description": "The JWKS URI endpoint of the external OIDC identity provider used to verify a token signature.",
      "example": "https://account.mycompany.com/oauth/keys"
    },
    "requireUserinfoSignature": {
      "type": "boolean",
      "description": "A flag indicating if the user information endpoint of the external OIDC identity provider should be signed and verified.",
      "example": true
    },
    "revocationEndpoint": {
      "type": "string",
      "description": "The revocation endpoint of the external OIDC identity provider.",
      "example": "https://account.mycompany.com/oauth/revoke"
    },
    "scopesSupported": {
      "type": "array",
      "description": "A list of scopes supported by the external OIDC identity provider.",
      "example": "openid email profile",
      "items": {
        "type": "string",
        "description": "A list of scopes supported by the external OIDC identity provider.",
        "example": "openid email profile"
      }
    },
    "tokenEndpoint": {
      "type": "string",
      "description": "The token endpoint of the external OIDC identity provider.",
      "example": "https://account.mycompany.com/oauth/token"
    },
    "userinfoEndpoint": {
      "type": "string",
      "description": "The user information endpoint of the external OIDC identity provider.",
      "example": "https://account.mycompany.com/oauth/userinfo"
    }
  },
  "description": "An OidcConfigurationResponse defines the external OpenID Connect identity provider configuration.",
  "title": "OidcConfigurationResponse"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "IDENTITYPROVIDERS:VIEW"
    ]
  }
]
```
